View Issue Details

IDProjectCategoryView StatusLast Update
0005514ScribusUser Interfacepublic2007-11-30 07:45
Reporteralexandre Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version1.3.3.8 
Target VersionFixed in Version1.3.3.10svn 
Summary0005514: Broken display of cyrrillic letters in splash screen messages
DescriptionAll RU messages in splash screen appear in Windows version of Scribus as squares. See attached screenshot for example.
TagsNo tags attached.
Patch

Relationships

related to 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

2007-04-03 12:35

 

ru_splash_screen.png (55,503 bytes)
ru_splash_screen.png (55,503 bytes)

cbradney

2007-04-03 14:03

administrator   ~0015716

Does your display font contain those chars? I guess so.. ?

alexandre

2007-04-03 14:10

developer   ~0015717

This is Tahoma, Craig...

alexandre

2007-04-03 14:11

developer   ~0015718

Unless Scribus installs and tries to use Bitstream fonts that do not have cyrillic characters...

mhanski

2007-04-03 14:45

developer   ~0015719

The same happens with Polish glyphs in splash screen messages with 1.3.3.9cvs on Linux too. At least with one or two of those messages (cannot check it right now, but I've seen it many times before).

cbradney

2007-04-03 19:17

administrator   ~0015720

#if defined _WIN32
    QFont font("Lucida Sans", 10);
#elif defined(__INNOTEK_LIBC__)
    QFont font("WarpSans", 9);
#else
    QFont font("Bitstream Vera Sans", 10);
#endif

Lucida Sans on Windows..
Warp Sans on OS/2
Bitstream Vera Sans on everything else
if not found, QFont will degrade as per http://doc.trolltech.com/3.3/qfont.html

what version of Windows? really xp sp2?

mhanski

2007-04-03 19:53

developer   ~0015721

<quoting>
#else
    QFont font("Bitstream Vera Sans", 10);
#endif
</quoting>

Bitstream Vera Sans is bad choice for non-English languages which leads to the broken Polish glyphs in splash screen messages on Linux. Dejavu Sans http://dejavu.sourceforge.net/wiki/index.php/Main_Page would be much better.

2007-04-07 13:53

 

missing_pl_glyphs.png (67,740 bytes)
missing_pl_glyphs.png (67,740 bytes)

mhanski

2007-04-07 13:55

developer   ~0015789

uploaded a screen shot of missing pl glyphs in splash screens (it happens both in 1.3.3.9cvs and 1.3.4cvs), confirming the issue

cbradney

2007-11-20 21:26

administrator   ~0017973

As Dejavu is not distributed on all distros, I dont think its the best choice, but we can select it and fallback to Bitstream Vera if we have to. Resolving

Issue History

Date Modified Username Field Change
2007-04-03 12:35 alexandre New Issue
2007-04-03 12:35 alexandre File Added: ru_splash_screen.png
2007-04-03 14:03 cbradney Note Added: 0015716
2007-04-03 14:10 alexandre Note Added: 0015717
2007-04-03 14:11 alexandre Note Added: 0015718
2007-04-03 14:45 mhanski Note Added: 0015719
2007-04-03 19:17 cbradney Note Added: 0015720
2007-04-03 19:53 mhanski Note Added: 0015721
2007-04-04 05:46 mhanski Relationship added related to 0003965
2007-04-07 13:53 mhanski File Added: missing_pl_glyphs.png
2007-04-07 13:55 mhanski Note Added: 0015789
2007-04-07 13:55 mhanski Status new => confirmed
2007-11-20 21:26 cbradney Status confirmed => resolved
2007-11-20 21:26 cbradney Fixed in Version => 1.3.5svn
2007-11-20 21:26 cbradney Resolution open => fixed
2007-11-20 21:26 cbradney Assigned To => cbradney
2007-11-20 21:26 cbradney Note Added: 0017973
2007-11-30 07:44 cbradney Fixed in Version 1.3.5svn => 1.3.3.10cvs
2007-11-30 07:45 cbradney Status resolved => closed